Package com.independentsoft.office.drawing

# Enum Class RectangleAlignment

java.lang.Object
java.lang.Enum<RectangleAlignment>
com.independentsoft.office.drawing.RectangleAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<RectangleAlignment>`, `Constable`

public enum RectangleAlignment extends Enum<RectangleAlignment>
The Enum RectangleAlignment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  `BOTTOM_LEFT`
  `BOTTOM_RIGHT`
  `CENTER`
  `LEFT`
  `NONE`
  `RIGHT`
  `TOP`
  `TOP_LEFT`
  `TOP_RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RectangleAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RectangleAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM

    public static final RectangleAlignment BOTTOM

  - ### BOTTOM_LEFT

    public static final RectangleAlignment BOTTOM_LEFT

  - ### BOTTOM_RIGHT

    public static final RectangleAlignment BOTTOM_RIGHT

  - ### CENTER

    public static final RectangleAlignment CENTER

  - ### LEFT

    public static final RectangleAlignment LEFT

  - ### RIGHT

    public static final RectangleAlignment RIGHT

  - ### TOP

    public static final RectangleAlignment TOP

  - ### TOP_LEFT

    public static final RectangleAlignment TOP_LEFT

  - ### TOP_RIGHT

    public static final RectangleAlignment TOP_RIGHT

  - ### NONE

    public static final RectangleAlignment NONE

- ## Method Details

  - ### values

    public static RectangleAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RectangleAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null